#ifndef MENUDATA_H
#define MENUDATA_H
typedef struct {
	int fd;
	int noItems;
	char headerText[512];
	char **itemName;
	char **itemAction;
	char inBuff[1024];
	int inBuffPos;
	char filter[512];
	char **filteredActions;
	char **filteredNames;
	int noFilteredItems;
} menuDataStruct;

typedef menuDataStruct *menuDataHandle;

menuDataHandle menuDataRetrieve(char *whence, char* header, char *args);
void menuDataFree(menuDataHandle h);
char* menuDataGetHeader(menuDataHandle dat);
int menuDataGetItemNames(menuDataHandle dat, char*** items);
int menuDataGetMore(menuDataHandle dat);
void menuDataSetFilter(menuDataHandle dat, char *filter);
char *menuDataGetActionFor(menuDataHandle dat, int selected);
#endif